//
//  SKErrorReporting.h
//  SKErrorReporting
//
//  Created by Sean Kelly on 9/25/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "SKErrorReportMethod.h"

#define SKFeedbackMenuOn  1
#define SKFeedbackMenuOff 0

@class SKResourcesCheck;
@class SKBugReportWindowController;
@class SKErrorReportDriver;

@protocol SKBugReportWindowDelegate;

@interface SKErrorReporting : NSObject<SKBugReportWindowDelegate> {
	SKResourcesCheck *_resourcesCheck;
	SKBugReportWindowController *_bugReportWindowController;
	SKErrorReportDriver *_errorReportDriver;
	NSMutableArray *_reportMethods;
}

+ (SKErrorReporting *)sharedReporter;

- (void)addReportMethod:(id<SKErrorReportMethod>)method;

- (void)checkForCrashReport;
- (void)setupExceptionHandler;
- (NSUInteger)toggleFeedbackMenuItem;

@end
