//
//  SMRecoveryPane.h
//  Licensing
//
//  Created by Sean Kelly on 11/17/07.
//  Copyright 2007 skti. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SMRecoveryPane : NSObject {
	IBOutlet NSView *_view;
	IBOutlet NSResponder *_firstResponder;
	IBOutlet NSObjectController *_objectController;

	id _context;
	id _delegate;
	
	unsigned _alternateButtonEnabled:1;
	unsigned _defaultButtonEnabled:1;
	unsigned _isLoading:1;
}

- (id)initWithContext:(id)context;
- (void)setDelegate:(id)delegate;
- (void)commitValuesToContext;

// returns YES if pane handled the press.
- (BOOL)alternateButtonPressed:(id)sender;
// return YES if pane is done.  otherwise, return NO and call delegate when complete
- (BOOL)defaultButtonPressed:(id)sender;

- (id)context;
- (NSResponder *)firstResponder;
- (NSString *)nibName;
- (NSView *)view;
- (NSString *)windowTitle;

- (BOOL)alternateButtonEnabled;
- (void)setAlternateButtonEnabled:(BOOL)flag;

- (BOOL)defaultButtonEnabled;
- (void)setDefaultButtonEnabled:(BOOL)flag;

- (BOOL)isLoading;
- (void)setIsLoading:(BOOL)flag;

- (NSString *)alternateButtonTitle;
- (NSString *)defaultButtonTitle;
// if YES, pane is responsible for drawing the buttons.  otherwise, the controller will configure them based on *ButtonTitle
- (BOOL)usesCustomButtons;

@end


@interface NSObject (SMRecoveryPaneDelegate)
- (void)recoveryPaneDidFinish:(SMRecoveryPane *)pane;
@end
