//
//  SMSecurity.h
//  Licensing
//
//  Created by Sean Kelly on 11/4/07.
//  Copyright 2007 skti. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
	SMSHA1
} SMDigestType;

BOOL SMCheckSignature(NSData *data, NSData *signature);
NSData *SMDigestForData(NSData *data, SMDigestType type);

// returns N bytes of cryptographically secure random data
NSData *SMCopyRandomDataWithLength(unsigned length);
// if key is NULL, will use a default key.  same for iv
NSData *SMCreateDecryptedDataUsingKey(NSData *data, NSData *key, NSData *iv);
NSData *SMCreateEncryptedDataUsingKey(NSData *data, NSData *key, NSData *iv);
