//
//  SMTypes.h
//  Licensing
//
//  Created by Sean Kelly on 11/14/07.
//  Copyright 2007 skti. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
	// there was some error checking the license state
	SMLicenseStateError,
	// fully licensed, but there is some problem with the license (i.e. version is out-of-date)
	SMLicenseStateLicensedButInvalid,
	// not licensed, time limited with no time remaining
	SMLicenseStateUnlicensedTimeExpired,
	// temporarily licensed, with no time remaining
	SMLicenseStateLicensedTimeExpired,
	
	// not licensed, feature limited
	SMLicenseStateUnlicensedTrialware,
	// not licensed, time limited with time remaining
	SMLicenseStateUnlicensedTimeRemaining,
	// temporarily licensed, with time remaining
	SMLicenseStateLicensedTimeRemaining,
	// valid license
	SMLicenseStateFullyLicensed
} SMLicenseState;

typedef enum {
	SMDateTypeInvalid,
	SMDateTypeExpired,
	SMDateTypeTimeRemaining
} SMDateType;
